#!/bin/sh

# Compiler
DEBIAN_BUILDARCH=i386
DEBIAN_BUILDGCCVER=2.95
#cross=arm-linux-g++
cross=g++

# Qt/embedded
qt=/usr/local/qt2-embed-2.3.4-gcc2
qpe=/src/Handhelds/opie/library
moc=$qt/bin/moc
flags="-DQWS -fno-rtti -I $qt/include -I $qpe"

# Generate moc files
mocs=`grep Q_OBJECT src/*.h | cut -d ":" -f 1`
for i in $mocs; do
	echo "+ automoc $i"
	o=`echo $i | cut -d "." -f 1`
	$moc $i -o $o.moc.cpp;
done

# Compile
for i in src/*.cpp; do
	echo "+ compile $i"
	$cross -c $i $flags;
done

# Link
echo "+ build"
$cross -o opie-kamikaze *.o -L $qt/lib -lqte -lqpe

# Cleanup
rm -f *.o
rm -f src/*.moc.cpp

# Local installation
mv opie-kamikaze zaurus/

