#include "playground.h"

Playground::Playground(QCanvas *canvas, QWidget *parent, const char *name)
: QCanvasView(canvas, parent, name)
{
	setFocus();

	setHScrollBarMode(QScrollView::AlwaysOff);
	setVScrollBarMode(QScrollView::AlwaysOff);

	show();
}

Playground::~Playground()
{
}

void Playground::keyPressEvent(QKeyEvent *e)
{
	switch(e->key())
	{
		case Qt::Key_Down:
			emit key(KeyDown);
			break;
		case Qt::Key_Up:
			emit key(KeyUp);
			break;
		case Qt::Key_Left:
			emit key(KeyLeft);
			break;
		case Qt::Key_Right:
			emit key(KeyRight);
			break;
		case Qt::Key_Space:
			emit key(KeyFire);
			break;
		case Qt::Key_Minus:
			emit key(KeyZoomOut);
			break;
		case Qt::Key_Plus:
			emit key(KeyZoomIn);
			break;
	}
}

