#ifndef TOPLEVEL_H
#define TOPLEVEL_H

#include <qmainwindow.h>

class PlayCanvas;
class Playground;
class Splash;

class TopLevel : public QMainWindow
{
	Q_OBJECT
	public:
		TopLevel();
		~TopLevel();

		void setTheme(QString theme);

		void selectNewGame(int bots);
		void newGame(QString level, QString theme, int players);

	public slots:
		void key(int keycode);
		void slotMenu(int id);
		void slotEndGame();

	protected:
		void keyPressEvent(QKeyEvent *e);

	private:
		void scale(int difference);

		enum MenuItems
		{
			game_new,
			game_exit,
			display_larger,
			display_smaller
		};

		PlayCanvas *canvas;
		Playground *playground;
		Splash *splash;
};

#endif

